#ifndef _WIN32
#include "../include/lminmaxgd.h"
#else
#include "..\include\lminmaxgd.h"
using namespace std;
#endif
/////////////////////////////////////////////////////////////////////
/* Example : A* computation



// you must link with a library which contains all source files given in folder src
// gd.cpp poly.cpp serie.cpp smatrix.cpp tools.cpp interf.cpp
// or add these files in your project
// or alternatively you can include the folowing files
*/
#include "..\src\gd.cpp"
#include "..\src\poly.cpp"
#include "..\src\serie.cpp"
#include "..\src\smatrix.cpp"
#include "..\src\tools.cpp"


/**************************************************************************************/
/* this example present the main function of the library
   and the different manner to declare monomial polynom serie and matrix */
/**************************************************************************************/
using namespace std;
#define N 6
int main(void)
{
try{

    smatrix a(N,N);
    smatrix  as;


a(0,1).init(epsilon,poly1.init(1,0),e);
a(1,0).init(epsilon,poly1.init(0,2),e);
a(2,3).init(epsilon,poly1.init(1,0),e);
a(3,2).init(epsilon,poly1.init(0,5),e);
a(4,1).init(epsilon,poly1.init(0,1),e);
a(4,3).init(epsilon,poly1.init(0,3),e);
a(4,5).init(epsilon,poly1.init(3,0),e);
a(5,4).init(epsilon,poly1.init(0,2),e);



as = star(a);
cout<<"as"<<as;


return(0);
 }
  catch(mem_limite l)
 {
	 cout<<"Exception : too many coefficent in polynom "<<l.memoire<<endl;
	 return(1);
 }

 catch(taille_incorrecte obj)
 { // 0 : r non causal
   // 1 : tentative d'accès à un element d'une matrice avec un indice incorrect
   // 2 : matrice de taille incompatible pour oplus, inf, otimes, rfrac, lfrac
   // 3 : etoile de matrice carré uniquement
	 cout<<"Exception  "<<obj.erreur<<endl;
	 return(1);
 }
}

